Next-in-Thread Next Message

Feedback suggested minor addition to k_compat.c 

Forum: PCMCIA driver development
Date: 2000, Apr 06
From: Eric Smith brouhaha

I've been trying to build the Linux-Lab project's driver for the Computer Boards IEEE-488 card (which should also work on the ICS Electronics card). I ran into a bunch of source files that include k_compat.h, but don't have LINUX_VERSION_CODE defined. I'm going to recommend that they fix that in their code, but it might also be useful to include the following lines (as used in /usr/include/linux/efs_fs.h and other kernel headers) near the top of k_compat.h:

#ifndef LINUX_VERSION_CODE
#include 
#endif

Since there's basically no point in ever trying to use k_compat.h without having the version code defined.

Cheers,
Eric

Next-in-Thread Next Message

Messages Inline: 1 All Outline: 1 2 All

1. None I think it's better to fix the original problem by David Hinds, 2000, Apr 06
(_ None Re: I think it's better to fix the original problem by Eric Smith, 2000, Apr 06
(_ None Re: I think it's better to fix the original problem by David Hinds, 2000, Apr 06

Add Message to: "suggested minor addition to k_compat.c"

Members Subscribe Admin Mode Show Frames Help for HyperNews at pcmcia-cs.sourceforge.net 1.10